## puredata 0.48.1

=== debian/changelog ===
puredata (0.48.1-3) unstable; urgency=medium

  * Factored out puredata-gui-l10n
    * so people can opt out
  * Removed unused utf-8 patch
  * Adopted package into the debian-multimedia team

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 Feb 2018 21:11:48 +0100

puredata (0.48.1-2) unstable; urgency=medium

  * Install platform-independend pkg-config script to /usr/share
  * Fixed spelling error in d/changelog
  * Switched URLs to https://
  * Updated Vcs-* stanzas to salsa.d.o
  * Bumped dh compat to 11
  * Removed trailing whitespace in debian/*
  * Removed obsolete d/git-tuneclone.sh script
  * Added d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:45:03 +0100

puredata (0.48.1-1) unstable; urgency=medium

  * New upstream version 0.48.1

  * Refreshed pd2puredata patch
    * Made pd2puredata-patch update more resilient
  * Refreshed patches
  * Don't explicitly set DEB_HOST_ARCH_OS
  * Dropped unused B-Ds
  * Bumped dh compat to 11
    * Dropped "--with-autoreconf"
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Jan 2018 18:55:31 +0100
