## puredata 0.48.2

=== debian/changelog ===
puredata (0.48.2-1) unstable; urgency=medium

  * New upstream version 0.48.2
    * Refresh patches
    * Drop patches applied upstream
  * Unversioned dependency on tcl.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #905979)
  * Recommend "sensible-utils" for opening HTML-files with a browser

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Aug 2018 08:29:57 +0200

puredata (0.48.1-7) unstable; urgency=medium

  * Updated Breaks+Replaces due to moving puredata.xpm between packages
    (Closes: #903803)
    (LP: #1781512)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 15 Jul 2018 22:03:54 +0200

puredata (0.48.1-6) unstable; urgency=medium

  * Fixed declared-but-unimplemented patch to not dropped implemented functions
    (Closes: #903652)
  * Added smoketest to autpktests
  * Moved puredata.xpm file to puredata-gui

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Jul 2018 20:47:49 +0200

puredata (0.48.1-5) unstable; urgency=medium

  * Patch to remove all declared-but-unimplemented symbols
  * Added lintian-override for loop~ seemingly not linking against libc
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Jul 2018 00:16:02 +0200

puredata (0.48.1-4) unstable; urgency=medium

  * puredata-gui-l10n fixes
    * Fixed Breaks/Replaces for proper migration (Closes: #892046)
    * Package belongs to section "localization"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Mar 2018 20:05:23 +0100
