=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libasound2-dev [linux-any],
  portaudio19-dev,
  libjack-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://puredata.info
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/puredata
@@ -69,14 +69,15 @@
  ${misc:Depends},
  python3:any,
  tk (>=8.4),
- tcl8.5 | tclsh,
+ tcl,
 Recommends:
  puredata,
  puredata-gui-l10n,
+ sensible-utils,
 Replaces: puredata (<< 0.43),
- puredata-core (<< 0.43.0-5)
+ puredata-core (<< 0.48.1-6),
 Breaks: puredata (<< 0.43),
- puredata-core (<< 0.43.0-5)
+ puredata-core (<< 0.48.1-6),
 Description: realtime computer music and graphics system - GUI
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing.
@@ -90,14 +91,15 @@
 Package: puredata-gui-l10n
 Architecture: all
 Multi-Arch: foreign
+Section: localization
 Depends:
  ${misc:Depends},
  puredata-gui (>= ${source:Upstream-Version}),
  puredata-gui (<< ${source:Upstream-Version}+1~),
 Replaces:
- puredata-gui (<< 0.48.1-2),
+ puredata-gui (<< 0.48.1-3~),
 Breaks:
- puredata-gui (<< 0.48.1-2),
+ puredata-gui (<< 0.48.1-3~),
 Description: realtime computer music and graphics system - translations
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing.
