## puredata 0.49.0

=== debian/changelog ===
puredata (0.49.0-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 07 Mar 2019 15:45:40 +0100

puredata (0.49.0-3) unstable; urgency=medium

  * Process debian/patches/ with "gbp pq"
  * Backported upstream fixes
    * crash in "triggerize"
    * memleak in "triggerize"
    * undo for "tidy up"
    * spelling fixes in German translation
  * Updated d/copyright
    * Added more exceptions to 'licensecheck' target
    * Regenerated d/copyright_hints
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Jan 2019 12:09:07 +0100

puredata (0.49.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 27 Sep 2018 10:24:19 +0200

puredata (0.49.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 27 Sep 2018 10:10:47 +0200

puredata (0.49.0-2~exp1) experimental; urgency=medium

  * Versioned dependencies of puredata metapackage on the child-packages
    so installing a given version of "puredata" installs all components
    with that version
  * Use exact version-match for l10n dependency on gui
  * Use "Breaks" to ensure that co-installed core and gui have the same version

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 26 Sep 2018 21:39:39 +0200

puredata (0.49.0-1) unstable; urgency=medium

  * New upstream version 0.49.0
    * Refreshed patches
  * Don't require "root" to build package
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Sep 2018 09:43:00 +0200
