=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-	^\./\.git/.*|\./debian/|.*\.wav|.*\.aiff|.*\.png|.*\.jpg|.*\.ico|.*\.icns|.*\.ttf|.*\.strings|.*\.zip|.*\.tgz$
+	^\./\.git|\./\.pc/.*|\./debian/|.*\.wav|.*\.aiff|.*\.png|.*\.jpg|.*\.ico|.*\.icns|.*\.gif|.*\.ttf|.*\.strings|.*\.zip|.*\.tgz$
 %:
 	dh $@
 
@@ -101,7 +101,7 @@
 	dh_compress -X.pd -X.wav -X.aiff -X.txt
 
 licensecheck:
-	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
+	LANG=C licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints
