=== debian/tests/control ===
# simplistic smoke test
Test-Command: pd -nogui -send "pd quit"
Restrictions: allow-stderr
Depends: @
