## puredata 0.50.0

=== debian/changelog ===
puredata (0.50.0-1) unstable; urgency=medium

  * New upstream version 0.50.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed pd2puredata patch
  * Drop patches applied upstream.
  * Register doc-base files in /usr/share/doc/
  * Drop obsolete d/source/local-options
  * Refresh d/copyright_hints
  * Bump dates in d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Aug 2019 11:30:39 +0200
