=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
  Paul Brossier <piem@debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 11),
  python3,
  help2man,
  gettext,
  libasound2-dev [linux-any],
  portaudio19-dev,
  libjack-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: https://puredata.info
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/puredata
@@ -22,12 +23,12 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- puredata-core,
- puredata-gui,
- puredata-doc,
- puredata-extra,
+ puredata-core  (>= ${source:Version}), puredata-core  (<< ${source:Upstream-Version}+1~),
+ puredata-dev   (>= ${source:Version}), puredata-dev   (<< ${source:Upstream-Version}+1~),
+ puredata-doc   (>= ${source:Version}), puredata-doc   (<< ${source:Upstream-Version}+1~),
+ puredata-extra (>= ${source:Version}), puredata-extra (<< ${source:Upstream-Version}+1~),
+ puredata-gui   (>= ${source:Version}), puredata-gui   (<< ${source:Upstream-Version}+1~),
  puredata-utils,
- puredata-dev,
 Recommends:
  gem,
 Suggests:
@@ -53,7 +54,8 @@
  puredata-gui,
 Provides: pd
 Replaces: puredata (<< 0.43), puredata-doc (<< 0.43.0-5)
-Breaks: puredata (<< 0.43), puredata-doc (<< 0.43.0-5)
+Breaks: puredata (<< 0.43), puredata-doc (<< 0.43.0-5),
+ puredata-gui (>> ${source:Upstream-Version}+1~), puredata-gui (<< ${source:Upstream-Version}),
 Description: realtime computer music and graphics system - core components
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing.
@@ -77,7 +79,7 @@
 Replaces: puredata (<< 0.43),
  puredata-core (<< 0.48.1-6),
 Breaks: puredata (<< 0.43),
- puredata-core (<< 0.48.1-6),
+ puredata-core (>> ${source:Upstream-Version}+1~), puredata-core (<< ${source:Upstream-Version}),
 Description: realtime computer music and graphics system - GUI
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing.
@@ -94,8 +96,7 @@
 Section: localization
 Depends:
  ${misc:Depends},
- puredata-gui (>= ${source:Upstream-Version}),
- puredata-gui (<< ${source:Upstream-Version}+1~),
+ puredata-gui (= ${source:Version}),
 Replaces:
  puredata-gui (<< 0.48.1-3~),
 Breaks:
@@ -159,8 +160,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- puredata-core (>= ${source:Version}),
- puredata-core (<< ${source:Upstream-Version}+1~),
+ puredata-core (>= ${source:Version}), puredata-core (<< ${source:Upstream-Version}+1~),
 Replaces: puredata (<< 0.43)
 Breaks: puredata (<< 0.43)
 Description: realtime computer music and graphics system - extra files
