## puredata 0.50.2

=== debian/changelog ===
puredata (0.50.2-3) unstable; urgency=medium

  * Symlink to doc/8.topics (Closes: #950838)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Feb 2020 23:30:39 +0100

puredata (0.50.2-2) unstable; urgency=medium

  * Install docs/8.topics (Closes: #950838)
  * Patch to avoid privacy breach in HTML documentation
    * Have puredata-doc recommend the "node-html5shiv" package
  * Use "DEB_*FLAGS_APPEND" for appending additional flags
  * Don't quote placeholder in mailcap entries
  * Remove obsolete d/TODO.Debian
  * Don't mark the autopkgtest as "superficial"
  * Add salsa-ci configuration
    * Ignore '-D_FORTIFY_SOURCE=2' in blhc ci-tests
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Feb 2020 15:52:39 +0100

puredata (0.50.2-1) unstable; urgency=medium

  * New upstream version 0.50.2
    * Refreshed pd2puredata patch
  * Mark smoke-test as 'superficial'
  * Bump dh compat to 12
  * Bump standards version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 07 Oct 2019 13:51:36 +0200
