=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Paul Brossier <piem@debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  python3,
  help2man,
  gettext,
  libasound2-dev [linux-any],
  portaudio19-dev,
  libjack-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://puredata.info
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git
@@ -115,6 +115,7 @@
  ${misc:Depends},
 Recommends:
  puredata,
+ node-html5shiv,
 Replaces: puredata (<< 0.43)
 Breaks: puredata (<< 0.43)
 Description: realtime computer music and graphics system - documentation
