=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,16 @@
 
 ## use hardening some flags
 DPKG_EXPORT_BUILDFLAGS = 1
+# if you change values below, you might also need to fix d/salsa-ci.yml
 DEB_BUILD_MAINT_OPTIONS=hardening=+format,-fortify,+stackprotector,+relro
 export DEB_BUILD_MAINT_OPTIONS
+
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
+export DEB_CPPFLAGS_MAINT_APPEND=
 ## only link what is needed
-LDFLAGS+=-Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 archconfflags :=
 
@@ -22,7 +25,7 @@
 archconfflags += --without-local-portaudio --without-local-portmidi
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-  CFLAGS+=-D__BSD_VISIBLE
+  DEB_CPPFLAGS_MAINT_APPEND+=-D__BSD_VISIBLE
 endif
 
 ## set timestamp for reproducible builds
@@ -32,7 +35,7 @@
 else
     BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
 endif
-VERSION_CPPFLAGS ="-DPD_TIMESTAMP_STRING='\"compiled for Debian ($(DEB_VERSION)) on $(BUILD_DATE)\"' $(CPPFLAGS)"
+CPPFLAGS_VERSION=-DPD_TIMESTAMP_STRING='\"compiled for Debian ($(DEB_VERSION)) on $(BUILD_DATE)\"' $(CPPFLAGS)
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -51,11 +54,10 @@
 	dh_auto_configure -- \
 		--program-transform-name='s/pd$$/puredata/' \
 		--libdir=/usr/lib/ \
-		$(archconfflags) \
-		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+		$(archconfflags)
 
 override_dh_auto_build: debian/gui-plugins/pd-gui-plugin.1
-	make CPPFLAGS=$(VERSION_CPPFLAGS)
+	dh_auto_build -- CPPFLAGS="$(CPPFLAGS_VERSION)"
 
 debian/gui-plugins/pd-gui-plugin.1: debian/gui-plugins/pd-gui-plugin
 	help2man -N -n "enable or disable a Pd GUI plugin" $< > $@
