=== debian/tests/control ===
# simple test to see whether the message-system works
Test-Command: pd -nogui -send "pd quit"
Restrictions: allow-stderr
Depends: @
