## puredata 0.51.1

=== debian/changelog ===
puredata (0.51.1-1) unstable; urgency=medium

  * New upstream version 0.51.1
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 16 Aug 2020 22:15:26 +0200

puredata (0.51.0-1) unstable; urgency=medium

  * New upstream version 0.51.0

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.32p1-1, 0.28-3.
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Fix day-of-week for changelog entries 0.32p1-2, 0.32p1-1, 0.28-2.

  [ IOhannes m zmölnig ]
  * Refresh patches
  * Update d/changelog
    * Run licensecheck wit UTF-8 support
    * Regenerate d/copyright_hints
  * Remove duplicate doc-files from /usr/share
  * Don't install Makefile.am
  * Enable per-user GUI-plugins in ~/.local/lib/pd/extra
    (rather than ~/pd-externals)
  * Bump dh-compat to 13

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 07 Jun 2020 21:25:32 +0200
