=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Paul Brossier <piem@debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  python3,
  help2man,
  gettext,
