## puredata 0.51.4

=== debian/changelog ===
puredata (0.51.4-1) unstable; urgency=medium

  * New upstream version 0.51.4
    * Refresh pd2puredata patch
    * Refresh patches (with 'gbp pq')
  * Backport patches from upstream's develop branch
  * Demote dependency on "gem" to "Suggests"
  * Fix d/watch to filter on proper versions
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Dec 2020 21:18:32 +0100

puredata (0.51.3-1) unstable; urgency=medium

  * New upstream version 0.51.3
    * Refresh patches
    * Remove patches applied upstream

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Nov 2020 21:23:32 +0100

puredata (0.51.2-1) unstable; urgency=medium

  * New upstream version 0.51.2
    * Refresh pd2puredata patch
    * Refresh patches with "gbp pq"
  * Backport bugfixes from Pd-repository

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 18 Sep 2020 18:14:42 +0200
