=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,10 @@
 override_dh_install:
 	find debian/tmp -type f -name "pd.pc" -exec \
 		sed -e 's|^Libs: .*|Libs:|' -e 's| -fPIC||' -i {} +
-	dh_install -X "*.la" -X "LICENSE.txt"
+	dh_install -X "*.la" -X "LICENSE.txt" -X "Makefile.am"
+	rm -rf debian/puredata-doc/usr/share/puredata/doc/1.manual/1.introduction.txt
+	rm -rf debian/puredata-doc/usr/share/puredata/doc/5.reference
+	rm -rf debian/puredata-doc/usr/share/puredata/doc/7.stuff
 
 override_dh_auto_clean:
 	-rm -f debian/gui-plugins/pd-gui-plugin.1
@@ -103,7 +106,7 @@
 	dh_compress -X.pd -X.wav -X.aiff -X.txt
 
 licensecheck:
-	LANG=C licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
+	LANG=C.UTF-8 licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints
