## puredata 0.52.1%2Bds0

=== debian/tests/control ===
Test-Command: pd -nogui -send "pd quit"
Restrictions: allow-stderr
Depends:
 @,
