=== debian/changelog ===
puredata (0.52.1+ds0-1) unstable; urgency=medium

  * Exclude pre-built binaries for macOS and MSW
    - Update d/watch to add ~ds suffix
  * Backported upstream patches
    - Fix mutex resource-leak
    - Fix broken "-nosleep" option
    - Fix GUI lockups
    - Only show docsdir plugin if Pd is started via the GUI
    - Adjust to JACK samplerate changes
    - Make sure text cursor is displayed when editing
    - Fix crasher bug in [list store]
    - Fix crasher bug in [file join]
  * Refresh existing patches
  * Make d/update_pd2puredataPatch more robust
  * Build higher-resolution icon
  * Don't build pd-gui-plugin.1
  * Make passing of Debian-specific timestamps more robust
  * Use execute_before_dh_* rather than override_* when possible
  * Simplify configure-flag handling
  * Separate Build-Depends-Indep
  * Drop no-longer required maintainer scripts

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 08 Feb 2022 11:13:41 +0100

puredata (0.52.1-1) unstable; urgency=medium

  * New upstream version 0.52.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Refresh remaining patches
  * B-D on python3:any to allow crosscompilation
  * Drop overrides for dh_strip/dh_shlibdeps
  * Update lintian-overrides for puredata-extra
  * Update d/watch
    - Bump version
    - Watch upstream repository (rather than upstream homepage)
    - Strip away "-really" suffix
  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Dec 2021 16:18:57 +0100
