## puredata 0.52.2+ds0

=== debian/changelog ===
puredata (0.52.2+ds0-1) unstable; urgency=medium

  * New upstream version 0.52.2+ds0
    - Refresh pd2puredata patch
    - Drop patches applied upstream
    - Refresh remaining patches
  * d/watch
    - Automatically use '+ds' as repackaging suffix
  * d/copyright
    - Update d/copyright
    - Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 28 Mar 2022 09:18:53 +0200
