=== debian/watch ===
--- 
+++ 
@@ -5,6 +5,6 @@
 #  http://msp.ucsd.edu/Software/pd-@ANY_VERSION@.src.tar.gz
 
 opts=uversionmangle=s/-/./;s/test/~/;s/-really/+really/,\
-     repacksuffix=~ds0,\
+     repacksuffix=+ds0,\
      dversionmangle=auto \
   https://github.com/pure-data/pure-data/tags .*/v?(\d\S*)\.tar\.gz
