## puredata 0.53.1%2Bds

=== debian/tests/control ===
--- 
+++ 
@@ -2,3 +2,13 @@
 Restrictions: allow-stderr
 Depends:
  @,
+
+Test-Command: debian/tests/runtest choice-test
+Depends:
+ puredata-core,
+ puredata-extra,
+
+Test-Command: debian/tests/runtest zexy.repeat-test
+Depends:
+ pd-zexy,
+ puredata-core,
