=== debian/changelog ===
puredata (0.53.1+ds-2+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * CVE-2023-47480: Terminate if canceling setuid() privilege fails

 -- Adrian Bunk <bunk@debian.org>  Thu, 26 Sep 2024 10:17:50 +0300

puredata (0.53.1+ds-2) unstable; urgency=medium

  * Backport upstream ALSA-MIDI fix
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 28 Jan 2023 22:00:40 +0100

puredata (0.53.1+ds-1) unstable; urgency=medium

  * New upstream version 0.53.1+ds

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Remove patches applied upstream.
  * Refresh patches
  * Drop number from repacksuffix
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Update lintian-overrides

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Dec 2022 08:56:13 +0100

puredata (0.53.0+ds0-1) unstable; urgency=medium

  * New upstream version 0.53.0+ds0
    + Refresh pd2puredata patch
    + Refresh patches
  * Ship upstream's metainfo, desktop and icon files
  * Update d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Oct 2022 22:09:42 +0200

puredata (0.52.2+ds0-2) unstable; urgency=medium

  * Include AppStream metainfo with puredata-gui
  * Drop CRLF newlines in d/*.sharedmimeinfo
  * Add more autopkgtests (puredata-extra, pd-zexy)
  * Add lintian-override to suppress false-positives when detecting missing-sources
  * Declare that there's no need to forward Debian-specific patches
  * Modernized lintian-overrides
  * Use dpkg-mergechangelogs for resolving git merge-conflicts in d/changelog
  * Bump d/copyright dates
  * Apply "wrap-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Sep 2022 13:45:44 +0200
