=== debian/control ===
--- 
+++ 
@@ -12,9 +12,8 @@
  libjack-dev,
  portaudio19-dev,
 Build-Depends-Indep:
- optipng,
  python3:any,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://puredata.info
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/puredata.git
