=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	dh_auto_configure -- \
         $(CONFIG)
 
-execute_after_dh_auto_build-indep: debian/gui-plugins/pd-gui-plugin.1 debian/puredata.png debian/puredata.xpm
+execute_after_dh_auto_build-indep: debian/gui-plugins/pd-gui-plugin.1
 
 override_dh_install:
 	find debian/tmp -type f -name "pd.pc" -exec \
@@ -78,21 +78,17 @@
 override_dh_compress:
 	dh_compress -X.pd -X.wav -X.aiff -X.txt
 
-execute_after_dh_clean:
-	-rm -f debian/puredata.png debian/puredata.xpm
+debian/gui-plugins/pd-gui-plugin.1: debian/gui-plugins/pd-gui-plugin
+	-help2man -N -n "enable or disable a Pd GUI plugin" -o $@ $<
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-	^\./\.git|\./\.pc/.*|\./debian/|.*\.wav|.*\.aiff|.*\.png|.*\.jpg|.*\.ico|.*\.icns|.*\.gif|.*\.ttf|.*\.strings|.*\.zip|.*\.tgz$
+        debian/.*|.*\.wav|.*\.aiff|.*\.png|.*\.jpg|.*\.ico|.*\.icns|.*\.gif|.*\.ttf|.*\.strings|.*\.zip|.*\.tgz
+# licensecheck v1
+.PHONY: licensecheck
 licensecheck:
-	LANG=C.UTF-8 licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints
-
-debian/gui-plugins/pd-gui-plugin.1: debian/gui-plugins/pd-gui-plugin
-	-help2man -N -n "enable or disable a Pd GUI plugin" -o $@ $<
-
-debian/puredata.png: tcl/pd.gif
-	optipng -out $@ $<
-debian/puredata.xpm: tcl/pd.xpm
-	cp $< $@
